package com.xkrs.controller;

import com.xkrs.model.entity.NoticeEntity;
import com.xkrs.service.NoticeService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@RestController
public class NoticeController {

    @Resource
    private NoticeService noticeService;

    /**
     * 添加通知
     */
    @PostMapping("/insertNotice")
    public String insertNotice(@RequestHeader(value = "Authorization") String token, @RequestBody NoticeEntity insertQo) {
        return noticeService.insertNotice(token, insertQo);
    }

    /**
     * 删除通知
     */
    @PostMapping("/deleteNotice")
    public String deleteNotice(@RequestHeader(value = "Authorization") String token, @RequestBody Long id) {
        return noticeService.deleteNotice(token, id);
    }

    /**
     * 更新通知
     */
    @PostMapping("/updateNotice")
    public String updateNotice(@RequestHeader(value = "Authorization") String token, @RequestBody NoticeEntity updateQo) {
        return noticeService.updateNotice(token, updateQo);
    }

//    /**
//     * 查询通知
//     */
//    @GetMapping("/queryNotice")
//    public String queryNotice(@RequestHeader(value = "Authorization") String token) {
//        return noticeService.queryNotice(token);
//    }

    /**
     * 查询通知
     */
    @GetMapping("/queryNotice")
    public String queryNotice() {
        return noticeService.queryNotice();
    }

    /**
     * 已读通知
     */
    @PostMapping("/readNotice")
    public String readNotice(@RequestHeader(value = "Authorization") String token, @RequestBody Long id) {
        return noticeService.readNotice(token, id);
    }

}
