package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * RelRoleAuthority 表实体类
 *
 * @author tajochen
 */
@Entity
@Table(name = "rel_role_authority")
public class RelRoleAuthorityEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "rel_role_authority_seq_gen")
    @SequenceGenerator(name = "rel_role_authority_seq_gen", sequenceName = "rel_role_authority_id_seq", allocationSize = 1)
    private Long id;

    @Column(nullable = false)
    private Long roleId;

    @Column(nullable = false)
    private Long authorityId;

    private Long userId;

    public RelRoleAuthorityEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getAuthorityId() {
        return authorityId;
    }

    public void setAuthorityId(Long authorityId) {
        this.authorityId = authorityId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "RelRoleAuthorityEntity{" +
                "id=" + id +
                ", roleId=" + roleId +
                ", authorityId=" + authorityId +
                ", userId=" + userId +
                '}';
    }
}
